<?php

/*
Plugin Name: HuCommerce | Magyar WooCommerce kiegészítések
Plugin URI: https://www.hucommerce.hu/
Description: Hasznos javítások a magyar nyelvű WooCommerce webáruházakhoz.

Version: 27.2

Author: CherryPick Studios & Surbma
Author URI: https://www.hucommerce.hu/
Developer: Surbma
Developer URI: https://surbma.com/

Text Domain: surbma-magyar-woocommerce
Domain Path: /languages

WC requires at least: 4.1
WC tested up to: 4.3

License: GNU General Public License v3.0
License URI: http://www.gnu.org/licenses/gpl-3.0.html
*/

// Prevent direct access
defined( 'ABSPATH' ) || exit;

define( 'SURBMA_HC_PLUGIN_VERSION_NUMBER', '27.2' );
define( 'SURBMA_HC_PLUGIN_DIR', untrailingslashit( plugin_dir_path( __FILE__ ) ) );
define( 'SURBMA_HC_PLUGIN_URL', plugins_url( '', __FILE__ ) );
define( 'SURBMA_HC_PLUGIN_FILE', __FILE__ );

// Check if WooCommerce is active
add_action( 'plugins_loaded', function() {
	if ( class_exists( 'WooCommerce' ) ) {
		// Start the engines.
		require_once SURBMA_HC_PLUGIN_DIR . '/lib/start.php';
	} else {
		// Notify user, that WooCommerce is not active.
		add_action( 'admin_notices', function() {
			?>
			<div class="notice notice-error">
				<div style="padding: 20px;">
					<img src="<?php echo SURBMA_HC_PLUGIN_URL; ?>/assets/images/hucommerce-logo.png" alt="HuCommerce">
					<p>A HuCommerce bővítmény használatához mindenképpen aktiválnod kell először a WooCommerce bővítményt.
					<br>Ha nem szeretnéd használni a WooCommerce bővítményt, akkor kapcsold ki a HuCommerce bővítményt is!</p>
					<p>A WooCommerce aktiválásához vagy a HuCommerce kikapcsolásához kattints a <a href="<?php admin_url(); ?>plugins.php">Bővítmények</a> menüpontra.</p>
				</div>
			</div>
			<?php
		} );
	}
} );
